import Head from "next/head";
import Layout, { siteTitle } from "../components/layout";
import utilStyles from "../styles/utils.module.css";
import { getSortedPostsData } from "../lib/posts";
import Link from "next/link";

export async function getStaticProps() {
  const allPostsData = getSortedPostsData();
  return {
    props: {
      allPostsData,
    },
  };
}

export default function Home({ allPostsData }) {
  return (
    <Layout home>
      <Head>
        <title>{siteTitle}</title>
      </Head>
      <section className={utilStyles.headingMd}>
        <p>
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. In
          vestibulum, est non fermentum lobortis, urna libero feugiat dui, vel
          pretium turpis eros a lacus. Ut facilisis justo non arcu vulputate
          aliquet. Suspendisse vel nisi mauris. Phasellus eget volutpat risus,
          luctus suscipit velit. Etiam dictum feugiat turpis in lacinia. Quisque
          tempor risus quis viverra molestie. Nunc ultrices nec augue eget
          suscipit. Praesent faucibus enim odio, ac tincidunt ligula accumsan
          nec. Aliquam maximus mi molestie pellentesque feugiat. Donec et turpis
          ipsum. Etiam iaculis suscipit ex. Nulla viverra faucibus tortor sed
          cursus. Aenean ac malesuada sapien. Duis et hendrerit quam. Donec nisl
          ante, porttitor sit amet auctor vitae, pharetra eget dolor.
        </p>
        <section className={`${utilStyles.headingMd} ${utilStyles.padding1px}`}>
          <h2 className={utilStyles.headingLg}>Blog</h2>
          <ul className={utilStyles.list}>
            {allPostsData.map(({ id, date, title }) => (
              <li className={utilStyles.listItem} key={id}>
                <Link href={`/posts/${id}`}>{title}</Link>
                <br />
              </li>
            ))}
          </ul>
        </section>
      </section>
    </Layout>
  );
}
